> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apigo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1beta/operations/{operation_id}

> Gemini 장기 실행 작업의 최신 상태를 검색합니다.

이 엔드포인트를 사용하여 Gemini 장기 실행 작업의 현재 상태, 메타데이터 및 오류 상태를 쿼리합니다.

* 이 엔드포인트는 일반적으로 `predictLongRunning`와 쌍을 이룹니다.
* 주요 경로 매개변수는 `operation_id`입니다.
* 폴링 중에 `done`, `metadata` 및 `error` 검사
* 제품이 자체 작업 상태를 유지하는 경우 작업 상태를 비즈니스 상태와 별도로 저장하세요.


## OpenAPI

````yaml GET /v1beta/operations/{operation_id}
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://maas.apigo.ai
security:
  - bearerAuth: []
paths:
  /v1beta/operations/{operation_id}:
    get:
      summary: Gemini operations.get
      description: Retrieves the latest state of a Gemini long-running operation.
      parameters:
        - name: operation_id
          in: path
          description: Operation ID.
          required: true
          schema:
            type: string
            example: abc123
      responses:
        '200':
          description: Successful operation status response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeminiOperation'
              example:
                name: operations/abc123
                done: true
                response:
                  videoUri: gs://bucket/video.mp4
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - googleApiKey: []
components:
  schemas:
    GeminiOperation:
      type: object
      properties:
        name:
          type: string
        metadata:
          type: object
          additionalProperties: true
        done:
          type: boolean
        response:
          type: object
          additionalProperties: true
        error:
          $ref: '#/components/schemas/GeminiOperationError'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    GeminiOperationError:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
        status:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    googleApiKey:
      type: apiKey
      in: header
      name: x-goog-api-key

````